Summary:	I/O on in-core objects module for perl
Name:		perl-IO-stringy
Version:	2.110
Release:	2
License:	GPL or Artistic
Group:		System Environment/Libraries
Source0:	IO-stringy-%{version}.tar.gz
URL:		http://http://www.cpan.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
Requires:	perl
BuildRequires:	perl
BuildArch:	noarch

%description 
This toolkit primarily provides modules for performing both traditional
and object-oriented i/o) on things *other* than normal filehandles;
in particular, IO::Scalar, IO::ScalarArray, and IO::Lines.


%prep
%setup -q -n IO-stringy-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" | \
        grep -v perllocal.pod | \
        grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi


%files -f %{name}-%{version}-filelist
%defattr(0644,root,root,0755)
%doc COPYING README examples/


%changelog
* Sun Apr 16 2006 Petr Kritof <Petr|Kristof_CZ> 2.110-2
- Rebuild on FC-5

* Sat Sep 3 2005 Petr Kritof <Petr|Kristof_CZ> 2.110-1
- Build on FC-4
- Initial release

